//+------------------------------------------------------------------+
//|                             15min Juice COG Equity Target EA.mq4 |
//|                      Copyright  2006, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2006, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"

//---- input parameters

extern double    Lots=0.1;

extern int       StopLoss=30;
extern int       TakeProfit=10;
extern int       RPeriod = 25;


//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
  {
  
    int buy_orders, sell_orders;
  int i;
  int total = OrdersTotal();
  for (i=0;i<total;i++) 
  {
    OrderSelect(i, SELECT_BY_POS, MODE_TRADES);
    if (OrderSymbol() == Symbol())
      if (OrderType() == OP_BUY) buy_orders++;
      else if (OrderType() == OP_SELL) sell_orders++;
  }
  
    
         
         double LSMA0 = iCustom(NULL,0,"LSMA_in_Color3",RPeriod,500,0,1);
         double LSMA0current = iCustom(NULL,0,"LSMA_in_Color3",RPeriod,500,0,0);
         
         double LSMA1 = iCustom(NULL,0,"LSMA_in_Color3",RPeriod,500,1,1);//up
         double LSMA1current = iCustom(NULL,0,"LSMA_in_Color3",RPeriod,500,1,0);//up
         
         double LSMA2 = iCustom(NULL,0,"LSMA_in_Color3",RPeriod,500,2,1);//down
         double LSMA2current = iCustom(NULL,0,"LSMA_in_Color3",RPeriod,500,2,0);//down
         
  //////////////////Buy Logic////////////////////////////////////////
  
  total=OrdersTotal();
   if(total<1) 
  {
 
 
  if((LSMA2==EMPTY_VALUE) && (LSMA2current==EMPTY_VALUE) && (LSMA1!=EMPTY_VALUE) && (LSMA1current!=EMPTY_VALUE))
  {
  int ticket=OrderSend(Symbol(),OP_BUY,Lots,Ask,3,Ask-StopLoss*Point,Ask+TakeProfit*Point,"LSMA BUY",0,Blue);}}
  
  
  
  /////////////////Sell Logic////////////////////////////////////////
  
  total=OrdersTotal();
   if(total<1) 
  {
  
  if((LSMA1==EMPTY_VALUE)&& (LSMA1current==EMPTY_VALUE) && (LSMA2!=EMPTY_VALUE) && (LSMA2current!=EMPTY_VALUE))
  {
  ticket=OrderSend(Symbol(),OP_SELL,Lots,Bid,3,Bid+StopLoss*Point,Bid-TakeProfit*Point,"LSMA SELL",0,Red);}}
  
 
  
  
  
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+

